GET /accounts

Every restaurant has an account. When such an account is linked to your integrator account, it will show up when doing this call.

Responses

  • 200 application/json

    OK

  • 401 application/json

    UNAUTHORIZED

GET /accounts
curl \
 --request GET 'https://api.staging.deliverect.io/accounts' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "_meta": {
    "page": 1,
    "total": 1,
    "max_results": 25
  },
  "_items": [
    {
      "_id": "5f1***131",
      "name": "Generic account",
      "_etag": "004a4df4bcce3cae83fd530c4a502278633ffd42",
      "users": [
        "607***ca68"
      ],
      "_links": {
        "self": {
          "href": "accounts/5f1***131",
          "title": "accounts"
        },
        "related": {
          "users": [
            {
              "href": "users/607***a68",
              "title": "users"
            }
          ],
          "accounts": [],
          "locations": [
            {
              "href": "locations/5f1***133",
              "title": "Locations"
            },
            {
              "href": "locations/606***b86",
              "title": "Locations"
            },
            {
              "href": "locations/606***555",
              "title": "Locations"
            }
          ]
        }
      },
      "brands": [
        {
          "name": "Generic account",
          "brandId": "606***6c5"
        }
      ],
      "region": "EU",
      "_created": "2020-07-24T07:36:49.000000Z",
      "_deleted": false,
      "_updated": "2021-05-18T08:02:16.000000Z",
      "accounts": [],
      "currency": 1,
      "settings": {
        "taxExcl": false
      },
      "locations": [
        "5f1***133",
        "606***b86",
        "606***555"
      ],
      "posSystem": 10000,
      "whitelabel": "deliverect",
      "accountType": 1,
      "featureFlags": {
        "autoApply": false,
        "reportsV2": false,
        "enableDelivery": false,
        "enableDiscounts": false,
        "pullAvailabilities": false,
        "combinedProductsPage": false,
        "enableSelfOnboarding": false,
        "menuLocationOverrides": false
      },
      "deliverectVersion": "2.0",
      "reportingEndpoints": [
        {
          "endpoint": "https://reporting-endpoint.com/reporting/newOrder",
          "endpointType": 10,
          "statusTrigger": [
            20
          ]
        }
      ]
    }
  ],
  "_links": {
    "self": {
      "href": "accounts",
      "title": "accounts"
    },
    "parent": {
      "href": "/",
      "title": "home"
    }
  }
}
{
  "_meta": {
    "page": 1,
    "total": 2,
    "max_results": 25
  },
  "_items": [
    {
      "_id": "5f1***131",
      "name": "Generic account",
      "_etag": "004a4df4bcce3cae83fd530c4a502278633ffd42",
      "users": [
        "607***ca68"
      ],
      "_links": {
        "self": {
          "href": "accounts/5f1***131",
          "title": "accounts"
        },
        "related": {
          "users": [
            {
              "href": "users/607***a68",
              "title": "users"
            }
          ],
          "accounts": [],
          "locations": [
            {
              "href": "locations/5f1***133",
              "title": "Locations"
            },
            {
              "href": "locations/606***b86",
              "title": "Locations"
            },
            {
              "href": "locations/606***555",
              "title": "Locations"
            }
          ]
        }
      },
      "brands": [
        {
          "name": "Generic account",
          "brandId": "606***6c5"
        }
      ],
      "region": "EU",
      "_created": "2020-07-24T07:36:49.000000Z",
      "_deleted": false,
      "_updated": "2021-05-18T08:02:16.000000Z",
      "accounts": [
        "5c7***fef"
      ],
      "currency": 1,
      "settings": {
        "taxExcl": false
      },
      "locations": [
        "5f1***133",
        "606***b86",
        "606***555"
      ],
      "posSystem": 10000,
      "whitelabel": "deliverect",
      "accountType": 1,
      "featureFlags": {
        "autoApply": false,
        "reportsV2": false,
        "enableDelivery": false,
        "enableDiscounts": false,
        "pullAvailabilities": false,
        "combinedProductsPage": false,
        "enableSelfOnboarding": false,
        "menuLocationOverrides": false
      },
      "deliverectVersion": "2.0",
      "reportingEndpoints": [
        {
          "endpoint": "https://reporting-endpoint.com/reporting/newOrder",
          "endpointType": 10,
          "statusTrigger": [
            20
          ]
        }
      ]
    },
    {
      "_id": "5c7***fef",
      "name": "Deliverect Test POS Resto",
      "_etag": "0b64e08badb2dbb6497899b3a506d3931cc2477e",
      "users": [
        "5c7***ff3"
      ],
      "_links": {
        "self": {
          "href": "accounts/5c7***fef",
          "title": "accounts"
        }
      },
      "region": "EU",
      "_created": "2021-02-26T10:27:10.000000Z",
      "_deleted": false,
      "_updated": "2021-02-26T10:27:21.000000Z",
      "currency": 1,
      "locations": [
        "5c7***ff0"
      ],
      "posSystem": 10000,
      "accountType": 2
    }
  ],
  "_links": {
    "self": {
      "href": "accounts",
      "title": "accounts"
    },
    "parent": {
      "href": "/",
      "title": "home"
    }
  }
}
Response examples (401)
{
  "_error": {
    "code": 401,
    "message": "Please provide proper credentials"
  },
  "_status": "ERR"
}